Subject: Re: [PATCH RFC v6 01/19] Makefile: use common template for GIT-BUILD-OPTIONS

From: Patrick Steinhardt <[email-masked]>
Date: Wed, 13 Nov 2024 14:24:41 +0100

On Wed, Nov 13, 2024 at 04:13:11PM +0900, Junio C Hamano wrote:
> Patrick Steinhardt <[email-masked]> writes:
> 
> > Note that this change requires us to move around the setup of
> > TEST_OUTPUT_DIRECTORY in "test-lib.sh" such that it comes after sourcing
> > the "GIT-BUILD-OPTIONS" file. This is the only instance I could find
> > where we rely on ordering on variables.
> 
> Doesn't this change break those who use the TEST_OUTPUT_DIRECTORY
> environment variable as a mechanism to override where the ouput is
> sent?  E.g.,
> 
>     $ cd t && TEST_OUTPUT_DIRECTORY=/else/where sh t1000-read-tree-m-3way.sh
> 
> They do not necessarily want their output directory affected by the
> value that was in TEST_OUTPUT_DIRECTORY when $(MAKE) was run the
> last time.

Ah, right. I only thought about the case where you set it up via
"config.mak", but you of course also have to handle it when set up via
the environment. Will fix.

Patrick